﻿/*@media (max-width: 1559px) {
     .floating-user-nav {
        top: 120px;
        left: 40px;
    }
    .user-card {
        width: 180px;
        padding: 15px 15px;
        gap: 35px;
    }
    .floating-user-nav.expanded .user-card {
        width: 350px;
        padding: 30px 25px;
        align-items: stretch;
        gap: 35px;
    }
    .user-header {
        gap: 8px;
    }
    .avatar {
        width: 75px;
        height: 75px;
    }
    .section-title img {
        width: 55px;
        height: 55px;
    }
    .section-text {
        font-size: 1.1rem;
        max-width: 130px;
    }
    .floating-user-nav.expanded .avatar {
        width: 65px;
        height: 65px;
    }
    .floating-user-nav.expanded .user-info h6 {
        font-size: 1rem;
    }
    .floating-user-nav.expanded .nav-section {
        gap: 0px;
    }
    .floating-user-nav.expanded .section-title {
        gap: 30px;
    }
    .floating-user-nav.expanded .section-title img {
        width: 45px;
        height: 45px;
        margin-left: 0px;
    }
    .floating-user-nav.expanded .section-text {
        font-size: 1rem;
    }
    .floating-user-nav.expanded .nav-actions {
        gap: 10px;
    }
    .floating-user-nav.expanded .nav-links a {
        font-size: 1rem;
    }
    .floating-user-nav.expanded .action-btn img {
        width: 40px;
        height: 40px;
    }
    .floating-user-nav.expanded .action-btn span {

        font-size: 0.9rem;
    }
    .action-btn span {
        font-size: 0.9rem;
    }
    .nav-actions {
        gap: 8px;
    }
}*/


@media (max-width: 1441px){
    .floating-user-nav.menu-admin {
        top: 20px;
    }

    .floating-user-nav.menu-admin .user-card {
        gap: 10px;
    }

    .floating-user-nav.menu-admin.expanded .user-card {
        gap: 5px;
    }

    .floating-user-nav.menu-admin .avatar {
        width: 70px;
        height: 70px;
    }
    .floating-user-nav.menu-admin .nav-actions {
        gap: 0px;
    }
    .floating-user-nav.menu-admin .regresar img {
        width: 45px;
        height: 45px;
    }
    .floating-user-nav.menu-admin .action-btn img {
        width: 35px;
        height: 35px;
    }

    .floating-user-nav {
        top: 30px;
        left: 40px;
    }
    .user-card {
        width: 180px;
        padding: 20px 15px;
        gap: 20px;
        /*padding: 15px 15px;
        gap: 15px;*/
    }
    .floating-user-nav.expanded .user-card {
        width: 350px;
        padding: 20px 20px;
        align-items: stretch;
        gap: 25px;
        /*padding: 20px 20px;
        align-items: stretch;
        gap: 13px;*/
    }
    .user-header {
        gap: 8px;
    }
    /*.avatar {
        width: 70px;
        height: 70px;
    }*/
    .section-title img {
        width: 45px;
        height: 45px;
    }
    .section-text {
        font-size: 1rem;
        max-width: 100px;
    }
    .floating-user-nav.expanded .avatar {
        width: 65px;
        height: 65px;
    }
    .floating-user-nav.expanded .user-info h6 {
        font-size: 1.2rem;
    }
    .floating-user-nav.expanded .nav-section {
        gap: 0px;
    }
    .floating-user-nav.expanded .section-title {
        gap: 30px;
    }
    .floating-user-nav.expanded .section-title img {
        width: 45px;
        height: 45px;
        margin-left: 0px;
    }
    .floating-user-nav.expanded .section-text {
        font-size: 1rem;
    }
    .floating-user-nav.expanded .nav-actions {
        gap: 0px;
    }
    .floating-user-nav.expanded .nav-links a {
        font-size: 0.9rem;
        padding: 3px 10px;
    }
    .floating-user-nav.expanded .action-btn img {
        width: 40px;
        height: 40px;
    }
    .floating-user-nav.expanded .action-btn span {

        font-size: 0.9rem;
    }
    .action-btn span {
        font-size: 0.9rem;
    }
    .nav-actions {
        gap: 8px;
    }
}

/* TABLET Y PANTALLAS MEDIANAS (máx 1024px) */
@media (max-width: 1280px) {
    .floating-user-nav {
        top: 15px;
        left: 20px;
    }
    .user-card {
        padding: 10px 10px;
        gap: 20px;
        /*padding: 12px 15px;
        gap: 5px;*/
    }
    .floating-user-nav.expanded .user-card {
        width: 275px;
        padding: 10px 10px;
        align-items: stretch;
        gap: 10px;
    }
    .user-header {
        gap: 0px;
    }
    .avatar {
        width: 70px;
        height: 70px;
    }
    .section-title img {
        width: 35px;
        height: 40px;
    }
    .floating-user-nav.expanded .user-header {
        gap: 20px;
    }
    .floating-user-nav.expanded .avatar {
        width: 65px;
        height: 65px;
    }
    .floating-user-nav.expanded .user-info h6 {
        font-size: 1rem;
    }
    .floating-user-nav.expanded .nav-section {
        gap: 5px;
    }
    .floating-user-nav.expanded .section-title {
        gap: 15px;
    }
    .floating-user-nav.expanded .section-title img {
        width: 40px;
        height: 40px;
        margin-left: 0px;
    }
    .floating-user-nav.expanded .section-text {
        font-size: 1rem;
    }
    .floating-user-nav.expanded .nav-actions {
        gap: 10px;
    }
    .floating-user-nav.expanded .nav-links a {
        font-size: 0.9rem;
        padding: 2px 10px;
    }
    .regresar img {
        width: 50px;
        height: 50px;
    }
    .nav-actions {
        gap: 0px;
    }
    .action-btn{
        gap:2px;
    }
}
/* MOBILE + TABLET */
@media (max-width: 1024px) {
    .user-card {
        padding: 25px 15px;
        gap: 30px;
    }
    .tablet-menu-toggle {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    /* menú oculto por defecto */
    .floating-user-nav {
        transform: translateX(-120%);
        opacity: 0;
        /*pointer-events: none;*/
        transition: transform 0.3s ease, opacity 0.3s ease;
    }

        /* menú visible */
    .floating-user-nav.tablet-active {
        transform: translateX(0);
        opacity: 1;
        /*pointer-events: auto;*/
    }
}

@media (max-width: 768px) {
    .user-card {
        padding: 25px 15px;
        gap: 30px;
    }
}


@media (max-width: 393px) and (max-width: 430px) {
    .floating-user-nav {
        padding: 10px;
        left: 65px;
    }

    .user-card {
        width: 100%;
        padding: 20px 15px;
        gap: 0px;
    }

    .user-header {
        padding-bottom: 20px;
        gap: 15px;
    }

    .avatar {
        width: 70px;
        height: 65px;
    }

    .user-info h6 {
        font-size: 1.1rem;
    }

    .user-info span {
        font-size: 0.85rem;
    }

    .section-title {
        gap: 20px;
        font-size: 1.2rem;
    }

        .section-title img {
            width: 45px;
            height: 45px;
        }

    .nav-links a {
        font-size: 0.9rem;
    }

    .right-nav {
        padding: 20px 15px;
        gap: 15px;
    }

    .nav-icon img {
        height: 45px;
    }

    .nav-icon span {
        font-size: 0.85rem;
    }

    .main-content {
        padding: 15px;
    }

    .banner-container {
        aspect-ratio: 21 / 9;
        border-radius: 15px;
    }

    .recientes-container {
        padding: 0 0px;
    }

        .recientes-container h5 {
            font-size: 1rem;
        }

    .swiper-recientes .swiper-slide {
        width: 260px;
        padding-bottom: 30px;
    }

    .card-media {
        border-radius: 15px;
    }

    .card-float {
        bottom: -20px;
        padding: 12px 15px;
        border-radius: 12px;
    }

        .card-float span {
            font-size: 0.9rem;
        }

    Modal Ayuda
    .modal-user-width {
        max-width: 90%;
    }

    .parrafoayuda {
        font-size: 0.9rem;
    }

    .form-control-Ayuda {
        font-size: 0.9rem;
    }

    .btn-enviar {
        margin-left: 100px;
    }


    .user-avatar-circle {
        width: 100px;
        height: 100px;
    }

    .btn-edit-avatar {
        position: absolute;
        bottom: 0px;
        right: calc(60% - 85px);
    }

    .form-control-custom {
        width: 100%;
        padding: 8px 9px;
        font-size: 1rem;
        margin-left: 0px;
    }

    .btn-guardar {
        margin-left: 80px;
    }

    .card-carousel {
        width: 100%;
    }
}